Create Webhook

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint to create webhook on Vendy to which transaction updates will be sent.

Request:

Query ParameterTypeDescription
businessIdstringUnique identifier for business
FieldTypeDescription
urlStringValid webhook url to which transaction webhooks are sent
allowedEventsEnum(String)Type of events that are sent to the webhook: 'all', 'transaction_failed', 'transaction_success', 'transaction_updated', 'payout_received', 'payout_cancelled', 'payout_failed', 'payout_completed'
retryStatusEnum (String)Describes if webhook should be retried/resent if failed: 'ENABLED', 'DISABLED'
secretHashStringValid Sha256 secret to be used to generate payload signature

Example request

curl --location 'https://api.myvendy.com/webhooks/create-webhook?businessId={{businessId}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
		"url":"https://example.com/webhook",
    "allowedEvents":"all",
    "retryStatus":"ENABLED",
    "secretHash":"ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad"
}'

Response:

FieldTypeDescription
statusBooleanStates if request was successfully executed or not
codeIntegerInternal code, success if 200
msgStringA description of the status of the request
dataWebhookNewly created webhook details

Example response

{
    "code": "00",
    "error": "success",
    "data": {
        "allowedEvents": "all",
        "clientId": "39a1e4bf-fbc3-4b78-9555-c50f8cfa17bw",
        "created": "2022-08-24T07:05:40.432Z",
        "id": "39a1e4bf-fbc3-4b78-9555-c50f8cfa17bw",
        "retryStatus": "ENABLED",
        "secretHash": "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad",
        "updated": "2022-08-24T07:05:40.432Z",
        "url": "https://example.com/webhook"
    },
    "status": true
}
Query Params
string
required

Unique identifier for business

Body Params
string
required
string
required
Defaults to random-hash
string
enum
Defaults to all
string
enum
required
Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json